# $Revision: 1.14 $, $Date: 2008/07/27 22:19:13 $
Summary:	KAKASI - kanji kana simple inverter
Summary(pl.UTF-8):	KAKASI - prosty konwerter kanji - kana
Name:		kakasi
Version:	2.3.4
Release:	3
License:	GPL
Group:		Applications/Text
Source0:	ftp://kakasi.namazu.org/pub/kakasi/stable/%{name}-%{version}.tar.gz
# Source0-md5:	4eff51aafbd56c9635791a20c03efa8f
URL:		http://kakasi.namazu.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KAKASI is the language processing filter to convert Kanji characters
to Hiragana, Katakana or Romaji(1) and may be helpful to read Japanese
documents. Word-splitting patch has merged from version 2.3.0.

%description -l ja.UTF-8
KAKASI は漢字かなまじり文をひらがな文やローマ字文に変換することを
目的として作成したプログラムと辞書の総称です。さらに、バージョン 2.3.0
からは、分かち書きパッチがマージされました。

%description -l pl.UTF-8
KAKASI to filtr konwertujący japońskie znaki Kanji na Hiragana,
Katakana lub Romaji(1), który może być pomocny przy czytaniu
japońskich dokumentów. Od wersji 2.3.0 zawiera poprawkę na dzielenie
słów.

%package devel
Summary:	KAKASI header files
Summary(pl.UTF-8):	Pliki nagłówkowe KAKASI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
KAKASI header files.

%description devel -l ja.UTF-8
KAKASIのヘッダファイル及びライブラリです。

%description devel -l pl.UTF-8
Pliki nagłówkowe KAKASI.

%package static
Summary:	KAKASI static library
Summary(pl.UTF-8):	Statyczna biblioteka KAKASI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
KAKASI static library.

%description static -l pl.UTF-8
Biblioteka statyczna KAKASI.

%package dict
Summary:	The base dictionary of KAKASI
Summary(pl.UTF-8):	Podstawowy słownik KAKASI
Group:		Applications/Text
Obsoletes:	kakasidict
Requires:	%{name} = %{version}-%{release}

%description dict
The base dictionary of KAKASI.

%description dict -l ja.UTF-8
KAKASIの基本辞書です。

%description dict -l pl.UTF-8
Podstawowy słownik KAKASI.

%prep
%setup -q

%build
cp /usr/share/automake/config.sub .
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/ja/man1
install doc/kakasi.1 $RPM_BUILD_ROOT%{_mandir}/ja/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS
%lang(ja) %doc NEWS ONEWS README-ja TODO doc/JISYO doc/README.lib doc/README.wakati
%attr(755,root,root) %{_bindir}/[^k]*
%attr(755,root,root) %{_bindir}/kakasi
%attr(755,root,root) %{_libdir}/libkakasi.so.*.*
%lang(ja) %{_mandir}/ja/man1/kakasi.1*
%dir %{_datadir}/kakasi
%{_datadir}/kakasi/itaijidict

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kakasi-config
%attr(755,root,root) %{_libdir}/libkakasi.so
%{_libdir}/libkakasi.la
%{_includedir}/libkakasi.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libkakasi.a

%files dict
%defattr(644,root,root,755)
%{_datadir}/kakasi/kanwadict

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kakasi.spec,v $
Revision 1.14  2008/07/27 22:19:13  arekm
- release 3

Revision 1.13  2007-02-13 08:06:36  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.11  2006/11/09 20:39:45  glen
- strict internal deps

Revision 1.10  2004/08/31 19:22:13  snurf
- typos / formatting / etc.

Revision 1.9  2004/01/02 17:35:45  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.8  2003/12/27 17:01:16  jajcus
- copy config.sub from automake

Revision 1.7  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.6  2003/05/28 12:59:16  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:49:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/11/25 14:16:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.3  2002/05/22 18:56:44  qboosh
- new %doc, cleanup

Revision 1.2  2002/05/21 23:13:39  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/03/07 22:19:20  qboosh
- based on spec from RedHat, updated to 2.3.4
